org.apache.poi.ss.usermodel

## Interface IconMultiStateFormatting

- All Known Implementing Classes:
    HSSFIconMultiStateFormatting, XSSFIconMultiStateFormatting

      public interface IconMultiStateFormatting

  High level representation for the Icon / Multi-State Formatting component of Conditional Formatting settings

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IconMultiStateFormatting.IconSet`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConditionalFormattingThreshold` | `createThreshold()` Creates a new, empty Threshold
    `IconMultiStateFormatting.IconSet` | `getIconSet()` Get the Icon Set used
    `ConditionalFormattingThreshold[]` | `getThresholds()` Gets the list of thresholds
    `boolean` | `isIconOnly()` Should Icon + Value be displayed, or only the Icon?
    `boolean` | `isReversed()`
    `void` | `setIconOnly(boolean only)` Control if only the Icon is shown, or Icon + Value
    `void` | `setIconSet(IconMultiStateFormatting.IconSet set)` Changes the Icon Set used
    `void` | `setReversed(boolean reversed)`
    `void` | `setThresholds(ConditionalFormattingThreshold[] thresholds)` Sets the of thresholds.

- - ### Method Detail

    - #### getIconSet

          IconMultiStateFormatting.IconSet getIconSet()

      Get the Icon Set used

    - #### setIconSet

          void setIconSet(IconMultiStateFormatting.IconSet set)

      Changes the Icon Set used

      If the new Icon Set has a different number of icons to the old one, you must update the thresholds before saving!

    - #### isIconOnly

          boolean isIconOnly()

      Should Icon + Value be displayed, or only the Icon?

    - #### setIconOnly

          void setIconOnly(boolean only)

      Control if only the Icon is shown, or Icon + Value

    - #### isReversed

          boolean isReversed()

    - #### setReversed

          void setReversed(boolean reversed)

    - #### getThresholds

          ConditionalFormattingThreshold[] getThresholds()

      Gets the list of thresholds

    - #### setThresholds

          void setThresholds(ConditionalFormattingThreshold[] thresholds)

      Sets the of thresholds. The number must match `IconMultiStateFormatting.IconSet.num` for the current `getIconSet()`

    - #### createThreshold

          ConditionalFormattingThreshold createThreshold()

      Creates a new, empty Threshold

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.